import _extends from "@babel/runtime/helpers/extends";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.index-of.js";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import * as React from 'react';
import { Stepper } from '@megafon/ui-core';
import { cnCreate } from '@megafon/ui-helpers';
import useResolutions from "../../hooks/useResolutions";
var cn = cnCreate('mfui-9-stepper-box');
var StepperBox = function StepperBox(_a) {
  var items = _a.items,
    _a$isVerticalMobile = _a.isVerticalMobile,
    isVerticalMobile = _a$isVerticalMobile === void 0 ? false : _a$isVerticalMobile,
    _a$align = _a.align,
    align = _a$align === void 0 ? 'center' : _a$align,
    restProps = __rest(_a, ["items", "isVerticalMobile", "align"]);
  var _useResolutions = useResolutions(),
    isMobile = _useResolutions.isMobile;
  var isHorizontal = !(isMobile && isVerticalMobile);
  return /*#__PURE__*/React.createElement("div", {
    className: cn()
  }, /*#__PURE__*/React.createElement(Stepper, _extends({
    items: items,
    align: align,
    isHorizontal: isHorizontal,
    isAllChecked: true
  }, restProps)));
};
export default StepperBox;